move_backward.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::move_backward_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O >
CPP_TEMPLATE_AUX_0 | ranges::c (requires bidirectional_iterator< I > &&sentinel_for< S, I > &&bidirectional_iterator< O > &&indirectly_movable< I, O >) ccconstexpr move_backward_result< I
| function template `move_backward`
template<typename Rng , typename O >
CPP_TEMPLATE_AUX_0 | ranges::c (requires bidirectional_range< Rng > &&bidirectional_iterator< O > &&indirectly_movable< iterator_t< Rng >, O >) ccconstexpr move_backward_result< borrowed_iterator_t< Rng >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 O | ranges::move_backward (I first, S end_, O out)
CPP_TEMPLATE_AUX_0 O | ranges::move_backward (Rng &&rng, O out)